Jump to content
Sign in to follow this  
chkeff

Créer un projet avec Android Studio ... la galère !

Recommended Posts

Bonjour ç tous !

Voilà google nous sort un nouvel IDE avec un nouveau système de Build ultra personnalisable, c'est cool mais encore faut-il réussir à s'en servir ^^.

Mon problème est le suivant:

j'ai un projet existant fait sous eclipse qui utilise un autre projet library aussi fait sous eclipse.

J'aimerai bien passer sous Android Studio, car il faut bien s'y mettre un jour ! mais impossible de configurer mon projet correctement !

Je sais ce que vous allez me dire: utilise la nouvelle fonctionnalité de ADT 22.x qui permet de créer le .gradle: j'ai essayer et ça ne fonctionne absolument pas ! Pas un seul chemin de correct, de mauvais noms bref j'ai laissé tomber !

J'en suis donc à tout refaire à la mano, j'ai créer un premier module pour mon projet, dans lequel j'ai un second module pour le projet Android.

j'ai ensuite créer un module "project library" dans lequel se trouve le projet de ma lib.

Quand j'essaye de compiler, j'ai une erreur pour le moins ... vague:

Gradle: Execution failed for task ':Android:processDebugManifest'.

> java.lang.RuntimeException (no error message)

Dans le .gradle de mon appli, si je retire la dépendance avec mon projet lib, ça compile mais lorsque j'ajoute cette dépendance j'ai l'erreur plus haut :/

Etant un grand habitué d'eclipse j'avoue être un peu pommé donc voici les fichiers que je pense utiles pour résoudre mon problème:

build.gradle de mon projet lib:

buildscript {

repositories {

maven { url 'http://repo1.maven.org/maven2' }

}

dependencies {

classpath 'com.android.tools.build:gradle:0.4'

}

}

apply plugin: 'android-library'

dependencies {

compile files('libs/core.jar')

}

android {

compileSdkVersion 17

buildToolsVersion "17.0.0"

defaultConfig {

minSdkVersion 7

targetSdkVersion 16

}

sourceSets {

main {

manifest.srcFile 'AndroidManifest.xml'

java.srcDirs = ['src']

resources.srcDirs = ['src']

res.srcDirs = ['res']

assets.srcDirs = ['assets']

}

}

}

build.gradle de mon appli:

buildscript {

repositories {

maven { url 'http://repo1.maven.org/maven2' }

}

dependencies {

classpath 'com.android.tools.build:gradle:0.4'

}

}

apply plugin: 'android'

dependencies {

compile files('libs/android-support-v4.jar')

compile project(':MyLib')

}

android {

compileSdkVersion 17

buildToolsVersion "17.0.0"

defaultConfig {

minSdkVersion 7

targetSdkVersion 16

}

}

settings.gradle du projet:

include ':Appli'

include ':MyLib'

Si vous avez besoin d'autres précisions n'hésitez pas ! Je suis vraiment bloqué là !

Merci d'avance et vive Eclipse ^^

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  





×
×
  • Create New...